 Introduction

< Getting Started Guide >

FTP Now is a fast, easy-to-use Windows FTP client with the look-and-feel of Windows Explorer, it makes moving files between the Internet and your computer as simple as local file manipulation.

· Full Drag and Drop support. Simply drag one or more files or even complete folders onto FTP Now's file view area to transfer them to the location of the server that is currently connected.
· All file transfer requests are handled in the background, so you don't have to wait while files copy to continue browsing the current server. You can even connect to a different server, while file transfers on another server are still in progress.
· The Transfer Manager shows all file transfers currently in progress plus the ones that are in the queue. You can configure how many transfers are processed simultaneously, so you don't run out of resources.
· Fully customizable user interface.
· CERN Proxy support.
· FTP Now uses the Windows style list boxes for displaying the contents of remote servers. With all familiar system icons and context menus.
· If you have problems while connecting to a server, you can configure FTP Now to automatically retry if the connection attempt fails. You can specify the number of times it should try to connect, and the time delay between connection attempts.
· Easily configure FTP site settings, like username, password, port, initial remote folder, number of retries and default download folder.
· Resume support for download and upload.

< Order Now! >
What's new in Version 2.6?

· Customizable toolbar.
· Favorites menu.
· Local browser for easier drag and drop.
· Transfer Manager and Trace are now dockable.
· Upload and download queues have been totally rewritten for much better performance.
· File Transfers can be executed simultaneously.
· Send custom FTP commands to the server.
· Sites can now be organized in folders using the Site Manager and are saved in XML.
· And much more!

Choose one of the following topics:

Getting Started Guide
System Requirements
Order Now
Site Manager
Menu
Options
Support

FTP Now © Copyright Network-Client.com


 Getting Started Guide

When running FTP Now by default the Site Manager is shown. This is where you enter all the necessary parameters to connect to a FTP server. If you're familiar with the concepts of FTP, you should have no problem filling in these fields.

You may use the Connection Wizard to guide you through the necessary steps of creating a new connection. Fill in the fields in every step and the wizard will create a new profile and add it to the site manager.


 System Requirements

· Any PC running the following platforms:
- Windows 98
- Windows Me
- Windows NT 4.0 (SP 6 or above)
- Windows 2000 Professional/Server
- Windows XP Home/Professional
- Windows Server 2003
· 16 MB RAM
· 2-3 MB of free hard disk space
· Internet Explorer 5.0 or above


Order Now

Order Powerful "FTP Now" to Save Your Time Today!

boxshot
Runs on Windows 98/Me/NT4/2000/XP/2003
Order Now!

Thank you for choosing FTP Now, the complete solution for connecting to FTP sites and transferring your files! You may evaluate FTP Now for free for a maximum period of 30 days. If you wish to keep on using it after 30 days, you must order it with us.

By ordering now, you will enjoy all the following benefits:

· All upgrades to FTP Now will be FREE!
· We provide FREE technical support.
· Your registration key will be sent to you immediately.
· This shareware reminder (nag screens) will be removed.
· You'll be supporting good software and provide more incentives to make FTP Now an even better program.

Unlock the full power of FTP Now by ordering your copy today!

Order Online Now
You may order online with a check, credit card, cash, or money order.

IMMEDIATE Web Delivery - US$29.95 Only
You will receive your registration key and instructions for activating the full version of FTP Now immediately, so you can get started today!

Note: It is usually best to Order Online. It provides the fastest processing times, and there are no additional handling fees.

Order by Phone
You may order by phone with your credit card ($5.00 Service Fee), please call +1 (510) 658-5244 Mon-Fri, 9AM-4PM PST.

Order by PayPal
You may order by PayPal with your PayPal account or credit card.
Click here to order by PayPal

After received your registration key, Click Here to learn how to activate the full version of FTP Now immediately!

If you have any difficulties or questions when ordering FTP Now,
email us or call +1 (510) 658-5244.


 Site Manager

Site settings are automatically saved when you change them. You can drag and drop sites or folders from one folder to another.

Site name
Enter a site name under which the server settings are saved.
This name will be displayed in the list on the left of the Connect Dialog and in the Favorites menu.

Host address
The Host Address field contains the location of the FTP server.
You can either specify a URL or IP address.

Port
The default Port of a FTP connection is 21, but if necessary you can configure something else.

PASV mode
PASV mode is useful for certain types of firewalls that do not allow FTP servers to initiate data connections back to the connected client.

Login
This is where you enter the username of the FTP account that allows you to logon to the FTP Server (also see anonymous setting).

Password
Enter the password of the FTP account.

Anonymous
Some FTP sites allow you to logon to an anonymous account. When you select this option it will automatically fill in the username (=anonymous) and password (=your email address). By default it will use the email address you configured in the options dialog.

Remote path
Here you can configure the initial path on the remote server. This feature makes it easy to automate the navigation to a commonly visited folder on the server. For example if you specify /softlib/mslfiles/ as initial path for the Microsoft ftp site (ftp.microsoft.com) it will automatically navigate to this folder for you. The default is your root directory.

Local path
This is the default path to which file transfers will be downloaded. Use the Browse button to select a folder.

Retries and Interval
Use these options to allow FTP Now to automatically retry the connection if the initial attempt fails. The "Attempts" field contains the maximum number of attempts that the program will try before returning an error. The "Interval" option instructs the program how long to wait between connection attempts.

Comment
Enter a description for this particular FTP site.

New Site
Add a new site to your Favorites, select a folder if you want to create the new site in a specific folder.
Select a previous created site to copy that site's settings into the new site.

New Folder
Add a new folder to your Favorites.

Delete
Delete a site or complete folder from your Favorites.

Wizard
You may use the Connection Wizard to guide you through the necessary steps of creating a new connection. Fill in the fields in every step and the wizard will create a new profile and add it to the site manager.

Connect
Press the Connect button to make a connection with the server in the selected profile.


 File Menu

Connect
Connect brings up the Site Manager to connect you to a FTP server.

Disconnect
Disconnect closes the current FTP connection.

Cancel
Cancel lets you cancel the current FTP operation. For example a request for a folder listing which takes too long.

Connection Wizard
You may use the Connection Wizard to guide you through the necessary steps of creating a new connection. Fill in the fields in every step and the wizard will create a new profile and add it to the site manager.

Exit
Quit the application.


 Commands Menu

Download
Initiate a download of the selected item(s) to the default download path.

Download To
Initiate a download of the selected item(s) to a specific path. You will be prompted for the file name(s) and location(s).

Upload
Choose this option to select one or more files on your local machine and submit a transfer request to copy these files to the current folder on the FTP server. You may also drag and drop files onto the File View area of the program to queue a transfer request to copy the selected files to the server.

New Folder
Create a new folder on the FTP server.

Rename
Rename the selected item.

Delete
Delete the selected item(s).

Explore
Explore the selected item. If the selected item is a folder, it will list the contents of this folder. If the selected item is a file, it will initiate a download.

Custom Command
Send a custom FTP command to the server. For example: SYST or MKD NewFolder
The result of commands send through this option are not reflected in the file view (press F5 to update the view).


 View Menu

Toolbar
Show or hide the toolbar.

Status Bar
Show or hide the status bar.

Quick Connect
Show or hide the Quick Connect bar. Quick Connect allows you to quickly connect to a FTP site without adding it first to the Site Manager. Enter hostname, username and password and press Connect to log you on to the server. For other connection parameters (like Download Path, Retries, Retrydelay and PASVMode) default values are used from the Options->Connection configuration. When you enter a hostname that is present in the Site Manager, Quick Connect automatically will use the parameters configured in the Site Manager.

Local Browser
Show or hide the local browser. The local browser has the same look and feel as Windows Explorer. It allows you to easily drag and drop files between local and remote folders.

Transfer Manager
Show or hide the Transfer Manager. The Transfer Manager shows all file transfers currently in progress plus the ones that are in the queue. You can configure how many transfers are processed simultaneously, so you don't run out of resources.

Large Icons
Display items by using large icons.

Small Icons
Display items by using small icons.

List
Displays items in a list.

Details
Displays detailed information about each item in the window.

Go To
This option allows you to directly enter a folder on the FTP server. Enter the path to the folder that you want to enter, and press the OK button. FTP Now will jump directly to the chosen directory, and display its contents.

Up One Level
Goes up one level (in the folder structure).

Refresh
Use the Refresh option to update the file or folder listing of the current connection.

Trace
Show or hide the trace window. In this window you can follow everything FTP Now is currently doing.

Select All
Select all items in the file view window.

Invert selection
Reverse which items are selected and which are not.


 Favorites Menu

The Favorites Menu shows all the sites you've created using the site manager. It allows you to quickly make a connection with a server.

Add to Favorites
Add the currently connected site to your Favorites. The local path will be set to the path selected in the Local Browser and the remote path to the remote current folder.

Organize Favorites
Start the Site Manager.


 Tools Menu

Transfer Mode
Here you can specify if transfers are made in ASCII of Binary mode.
By default all transfers are in binary mode, but for some (text) files it may be necessary to switch to ASCII mode.

Options
Brings up the Options window.


General

 Options - General

Email Address
Specify your email address which will be used for anonymous login.

Show site manager on startup
Show site manager when FTP Now is started.

Save window size and position
Save the positions and size of various windows of FTP Now between sessions.

Delete confirmation (recommended)
Ask for confirmation when you try to delete something.

Only show error message when Trace window is hidden
If you prefer to see messages when something is going wrong, uncheck this option.

Do not show progress dialog for uploads and downloads
Hide the progress window that displays the current status of your uploads/downloads. If you hide these windows you can still see the status in the Transfer Manager window.


Connection

 Options - Connection

Download Path
This value will be used when you are using the Connection Wizard or making connection via Quick Connect.

Retries
This value will be used when you are using the Connection Wizard or making connection via Quick Connect.

Retry Delay
This value will be used when you are using the Connection Wizard or making connection via Quick Connect.

Use PASV Mode
This value will be used when you are using the Connection Wizard or making connection via Quick Connect.

Connection Timeout (in second)
Timeout before connection request will be aborted.

Maximum Simultaneous Connections
When you check this option you can limit the number of connections that are open simultaneously. Some FTP servers have a limit of connections per IP address, so too many simultaneous connections will generate connection failures. If you activate this settings, FTP Now will queue all requests if it has reached the specified limit.

Preconfigured (default)
Retrieves the proxy or direct configuration from the registry.

Direct to Internet
Resolves all host names locally.

Through CERN proxy
Passes requests to the specified proxy. The name of the preferred CERN proxy must be entered in the Proxy Name field.


Advanced

 Options - Advanced

Do not show status message
Hide the detailed status information in the Trace window.

Send keepalive command to prevent disconnection
FTP Now will send dummy commands (NOOP) to the FTP server, so it will not timeout on you.

Interval (in second)
The interval in which dummy commands are sent to the server (default: 30 seconds).

Remove failed transfers from queue
When this option is checked, failed transfers will be deleted from the queue (in the transfer manager). If you do not check this option, all failed transfer will remain in the queue with the failed status information, so you can resubmit them again.

Enable simultaneous file transfers
With this option unchecked FTP Now transfers selected files for upload and downloads in one thread, files will then be uploaded/downloaded one by one. When this option is checked, all selected files will be uploaded/downloaded simultaneously (in a seperate thread). This can speed up the file transfers, but it requires high-speed Internet connection.
You can also enable parallel file transfer 'on the fly' by holding down the SHIFT key while pressing upload or download.


 Contact Network-Client.com

FTP Now Official Website:
http://www.network-client.com

Free Technical Support for Registered Users:
· FTP Now registered users receive free technical support. If you require immediate assistance or technical support, please Click Here to order!
· How To Upgrade - The latest version of FTP Now uses the same registration key as your previous version, download and install the latest trial version and use your registration key to register it (it may recognize your registration automatically).
· Email Support - please include your registration key in the email.

Order Support:
· Order Tracking System - In the event that you do not receive any email, please use our online Order Tracking System to obtain more information.
· If you have any questions when ordering, Email us support@network-client.com or Call +1 (510) 658-5244.
· If you have a sales question, please contact our Sales. For complete pricing and ordering information of our product, please Click Here.

Contacting Kagi:
URL: http://www.kagi.com
Email: admin@kagi.com
Postal: Kagi
1442A Walnut St PMB 392
Berkeley, CA
94709-1405
USA
Telephone: +1 (510) 658-5244
Fax: +1 (510) 652-6589


 Registering FTP Now

Thank you for ordering FTP Now!

To register your copy of FTP Now, please click the "Enter Key" button when you start FTP Now. Enter your registration name and registration key exactly as it is given to you. (We recommend that you copy (CTRL-C) the registration information and then paste (CTRL-V) it into the appropriate fields so as to eliminate typing mistake). Finally, click the "OK" button to complete the registration process.

Once your registration key is successfully registered, you will see a "Key Valid" dialog box indicating your key is valid and has been stored.

Note: Network-Client.com has placed a time-limit (7 days) on the keys, it means that each key can only be installed for 7 days after their creation. If you see the following error message during the registration process, please contact our technical support about a new key.
"The key you entered is no longer valid. Network-Client.com has placed a time-limit on this type of key, which has been exceeded. Please contact the technical support about a new key."


FAQ

 Frequently Asked Questions (FAQ)

What is the difference between a folder and a directory?
Most computer users tend to use talk about the 'folders' on their hard disk, while FTP programs usually describe them as 'directory'. But the terms folder or directory are pretty much interchangeable.

What is "root directory"?
The top-most directory on the FTP Server.

What is "anonymous"?
Some FTP sites are open to anyone, others offer restricted access only.
All FTP sites require you to log on, but so-called 'Anonymous' sites don't require a specific username and password, so anyone can use them.

FTP Now doesn't work properly, what's wrong?
FTP Now requires Internet Explorer 5.0 or above, please download and install the latest version of Internet Explorer.

FTP Now seems to hang for a long time, when connecting to a FTP server, what's wrong?
You probably specified a very long timeout in the Tools->Options->Connections setting.
Make sure Connection Timeout is not set too long (FTP Now doesn't response, because it's waiting for data from the FTP server).

I can connect to the server, but I can't see any files.
Try connecting using PASV mode (Site Manager).

What is "PASV mode"?
The FTP protocol has 2 modes, PORT (also called "regular" or "normal" mode) and PASV ("passive" mode).
The FTP client determines the mode that will be used. If the client issues a PORT command, it is attempting "PORT" mode. If the client issues a PASV command, it is attempting "PASV" mode.
PASV mode forces the client-server data connection to be established by the client, rather than the server (which is the default). PASV mode is required for users who are behind a router-based firewall.

Details:
In PORT and PASV mode the FTP session uses two port numbers.
The first port number is allocated on the server (default: port 21). This is referred to as the "Control or Command Channel".

If the client sends a PORT command, which contains the client IP address and (the second) allocated port number.
Then the FTP server connects to this port to send the data (referred to as the "Data Channel").
Client: PORT 127,0,0,1,12,82
Server: 200 Port command successful.

If the client sends a PASV command, then the FTP server responds back to the client with a port number that it has allocated.
In this case the "Data Channel" connection is created by the client to the IP Address and port number provided by the FTP server.
Client: PASV
Server: 227 Entering Passive Mode (127,0,0,1,12,251).

How can I backup the user account information?
Copy the file sites.xml to a save place. This file can be found in the FTP Now installation folder.

If you are having problems with FTP Now and have not found any information related to your problems in this FAQ/Help, please contact Network-Client.com.